$set 1
$ EPERM
1 Operacja nie dozwolona
$ ENOENT
2 Nie ma takiego pliku ani katalogu
$ ESRCH
3 Nie ma takiego procesu
$ EINTR
4 Przerwane wywołanie systemowe
$ EIO
5 Błąd wejścia/wyjścia
$ ENXIO
6 Urządzenie nie skonfigurowane
$ E2BIG
7 Lista argumentów jest za długa
$ ENOEXEC
8 Błędny format pliku wykonywalnego
$ EBADF
9 Zły deskryptor pliku
$ ECHILD
10 Brak procesów potomnych
$ EDEADLK
11 Uniknięto zakleszczenia zasobów
$ ENOMEM
12 Brak pamięci do przydziału
$ EACCES
13 Brak dostępu
$ EFAULT
14 Zły adres
$ ENOTBLK
15 Wymagane urządzenie blokowe
$ EBUSY
16 Urządzenie zajęte
$ EEXIST
17 Plik istnieje
$ EXDEV
18 Powiązanie miedzy urządzeniami
$ ENODEV
19 Operacja nie obsługiwana przez urządzenie
$ ENOTDIR
20 To nie jest katalog
$ EISDIR
21 To jest katalog
$ EINVAL
22 Błędny argument
$ ENFILE
23 Za dużo otwrtych plików w systemie
$ EMFILE
24 Za dużo otwartych plików
$ ENOTTY
25 Niewłaściwy dostęp do urządzenia
$ ETXTBSY
26 Plik tekstowy zajęty
$ EFBIG
27 Plik zbyt duży
$ ENOSPC
28 Nie ma miejsca na urządzeniu
$ ESPIPE
29 Błędne przesunięcie
$ EROFS
30 System plików tylko do odczytu
$ EMLINK
31 Za dużo linków
$ EPIPE
32 Przerwany potok
$ EDOM
33 Argument liczbowy spoza zakresu
$ ERANGE
34 Za duży wynik
$ EAGAIN, EWOULDBLOCK
35 Zasoby chwilowo niedostępne
$ EINPROGRESS
36 Operacja jest właśnie wykonywana
$ EALREADY
37 Operacja jest już wykonywana
$ ENOTSOCK
38 Operacja na obiekcie, który nie jest gniazdem
$ EDESTADDRREQ
39 Wymagany adres przeznaczenia
$ EMSGSIZE
40 Wiadomość za długa
$ EPROTOTYPE
41 Ty protokołu nie pasuje do gniazda
$ ENOPROTOOPT
42 Protocół nie jest dostępny
$ EPROTONOSUPPORT
43 Protocół nie jest obsługiwany
$ ESOCKTNOSUPPORT
44 Nie obsługiwany typ gniazda
$ EOPNOTSUPP
45 Operacja nie obsługiwana
$ EPFNOSUPPORT
46 Nie obsługiwana rodzina protokołów
$ EAFNOSUPPORT
47 Rodzina adresów nie obsługiwana przez rodzinę protokołów
$ EADDRINUSE
48 Adres jest aktualnie w użyciu
$ EADDRNOTAVAIL
49 Nie można przypisać żądanego adresu
$ ENETDOWN
50 Sieć nie działa
$ ENETUNREACH
51 Sieć jest niedostępna
$ ENETRESET
52 Sieć przerwała połączenie po resecie
$ ECONNABORTED
53 Oprogramowanie spowodowało przerwanie połączenia
$ ECONNRESET
54 Połączenie zerwane przez drugą stronę
$ ENOBUFS
55 Brak miejsca w buforze
$ EISCONN
56 Gniazdo jest już połączone
$ ENOTCONN
57 Gniazdo nie jest połączone
$ ESHUTDOWN
58 Nie można wysyłać po zamknięciu gniazda
$ ETOOMANYREFS
59 Za dużo powiązań: dowiązanie nie możliwe
$ ETIMEDOUT
60 Przekroczono czas oczekiwania na połączenie
$ ECONNREFUSED
61 Połączenie odrzucone
$ ELOOP
62 Za dużo wzajemnych symlinków
$ ENAMETOOLONG
63 Zbyt długa nazwa pliku
$ EHOSTDOWN
64 Host jest wyłączony
$ EHOSTUNREACH
65 Brak drogi do hosta
$ ENOTEMPTY
66 Katalog nie jest pusty
$ EPROCLIM
67 Za dużo procesów
$ EUSERS
68 Zbyt wielu użytkowników
$ EDQUOT
69 Przekroczono limit miejsca na dysku
$ ESTALE
70 Uchwyt pliku NFS jest nieaktualny
$ EREMOTE
71 Za dużo poziomów zagnieżdżenia w ścieżce
$ EBADRPC
72 RPC błędna struktura
$ ERPCMISMATCH
73 RPC zła wersja
$ EPROGUNAVAIL
74 RPC program niedostępny
$ EPROGMISMATCH
75 Zła wersja programu
$ EPROCUNAVAIL
76 Zła procedura dla programu
$ ENOLCK
77 Blokady nie są dostępne
$ ENOSYS
78 Niezaimplementowana funkcja
$ EFTYPE
79 Niewłaściwy typ lub format pliku
$ EAUTH
80 Błąd uwierzytelnienia
$ ENEEDAUTH
81 Wymagane uwierzytelnienie
$ EIDRM
82 Identyfikator został usunięty
$ ENOMSG
83 Brak komunikatu pożadanego typu
$ EOVERFLOW
84 Wartość za duża aby zapamiętać ją w zdefiniowanym typie danych
$ EILSEQ
85 Błędna sekwencja bajtów
$set 2
$ SIGHUP
1 Rozłączenie
$ SIGINT
2 Przerwanie
$ SIGQUIT
3 Wyjście
$ SIGILL
4 Nieznana instrukcja
$ SIGTRAP
5 Pułapka debuggera/BPT
$ SIGABRT
6 Przerwanana pułapka
$ SIGEMT
7 Pułapka EMT
$ SIGFPE
8 Błąd w obliczeniach zmiennoprzecinkowych
$ SIGKILL
9 Unicestwiony
$ SIGBUS
10 Błąd szyny
$ SIGSEGV
11 Naruszenie ochrony pamięci
$ SIGSYS
12 Błędne wywołanie systemowe
$ SIGPIPE
13 Przerwany potok
$ SIGALRM
14 Budzik
$ SIGTERM
15 Zakończony
$ SIGURG
16 Nagły wypadek I/O
$ SIGSTOP
17 Zatrzymany (sygnał)
$ SIGTSTP
18 Zatrzymany
$ SIGCONT
19 Kontynuacja
$ SIGCHLD
20 Proces potomny zakończył pracę
$ SIGTTIN
21 Zatrzymany (wejście z tty)
$ SIGTTOU
22 Zatrzymany (wyjście z tty)
$ SIGIO
23 Wej/Wyj dozwolone
$ SIGXCPU
24 Przekroczony limit czasu procesora
$ SIGXFSZ
25 przekroczony limit wielkości pliku
$ SIGVTALRM
26 Wirtualny stoper wyczerpany
$ SIGPROF
27 Koniec stopera profilującego
$ SIGWINCH
28 Zmiana rozmiaru okna
$ SIGINFO
29 Żądanie infromacji
$ SIGUSR1
30 Sygnał użytkownika 1
$ SIGUSR2
31 Sygnał użytkownika 2
$ SIGPWR
32 Awaria zasilania/restart
